User
Updated: Dec 16, 2025
Copy for LLM
The Threads user endpoints allow you to retrieve a Threads user’s profile, posts, replies, mentions, ghost posts, and publishing limit, and to look up public profiles and their posts. See Threads profiles for more information.
Common parameters
These parameters work the same way on every endpoint on this page that uses them. Each endpoint lists the ones it uses.
| Name | Description |
|---|---|
access_token
string
| Required. Threads API user access token. |
since
datetime
| Optional. The start date for retrieval, as a Unix timestamp (such as 1767225600) or a date (such as 2026-01-01). Must be on or after 1688540400 and before until. |
until
datetime
| Optional. The end date for retrieval, as a Unix timestamp (such as 1767225600) or a date (such as 2026-01-01). Must be after since and no later than the current time. |
limit
int
| Optional. The maximum number of media objects or records to return. The default is 25 and the maximum is 100. Only non-negative numbers are allowed. |
before
string
| Optional. A cursor for pagination. You cannot pass both before and after in the same request. |
after
string
| Optional. A cursor for pagination. You cannot pass both before and after in the same request. |
GET /{threads-user-id}/threads
Retrieve a paginated list of all Threads posts created by a user. See Retrieve a list of an app-scoped user’s posts for more information.
Parameters
This endpoint also uses these common parameters:
access_token, since, until, limit, before, and after.| Name | Description |
|---|---|
threads-user-id
numeric string
| Required. The path parameter of the Threads user identifier. |
fields
string
| Optional. A comma-separated list of the fields to be returned. Values: id (default), media_product_type, media_type, media_url, permalink, owner, username, text, timestamp, shortcode, thumbnail_url, children, is_quote_post, alt_text, link_attachment_url, has_replies, reply_audience, quoted_post, reposted_post, gif_url, is_spoiler_media, text_entities, text_attachment, is_verified, profile_picture_url |
GET /{threads-user-id}?fields=id,username,...
Retrieve profile information about a user on Threads. See Retrieve a Threads app-scoped user’s profile information for more information.
Parameters
This endpoint also uses these common parameters:
access_token.| Name | Description |
|---|---|
threads-user-id
numeric string
| Required. The path parameter of the Threads user identifier. |
fields
string
| Optional. A comma-separated list of the fields to be returned. Values: id (default), username, name, threads_profile_picture_url, threads_biography, is_verified, recently_searched_keywords |
GET /profile_lookup?username=...
Look up a public profile and retrieve its basic profile information. See Retrieve a Threads user’s public profile information for more information.
Parameters
This endpoint also uses these common parameters:
access_token.| Name | Description |
|---|---|
username
string
| Required. Handle or unique username on Threads. Must be an exact match. |
GET /profile_posts?username=...
Look up a public profile and retrieve its posts on Threads. See Retrieve a list of a public profile’s posts for more information.
Parameters
This endpoint also uses these common parameters:
access_token, since, until, limit, before, and after.| Name | Description |
|---|---|
username
string
| Required. Handle or unique username on Threads. Must be an exact match. |
fields
string
| Optional. A comma-separated list of the fields to be returned. Values: id (default), media_product_type, media_type, media_url, permalink, username, text, timestamp, shortcode, thumbnail_url, children, is_quote_post, alt_text, link_attachment_url, has_replies, reply_audience, quoted_post, reposted_post, gif_url, is_spoiler_media, text_entities |
GET /{threads-user-id}/threads_publishing_limit
Check the app user’s current publishing rate limit usage. See Rate limiting for more information.
Parameters
This endpoint also uses these common parameters:
access_token.| Name | Description |
|---|---|
threads-user-id
numeric string
| Required. The path parameter of the Threads user identifier. |
fields
string
| Optional. A comma-separated list of the fields to be returned. Values: quota_usage (default), config, reply_quota_usage, reply_config, delete_quota_usage, delete_config, location_search_quota_usage, location_search_config |
GET /{threads-user-id}/replies
Retrieve a paginated list of all Threads replies created by a user. See Retrieve a list of a user’s replies for more information.
Parameters
This endpoint also uses these common parameters:
access_token, since, until, limit, before, and after.| Name | Description |
|---|---|
threads-user-id
numeric string
| Required. The path parameter of the Threads user identifier. |
fields
string
| Optional. A comma-separated list of the fields to be returned. Values: id (default), media_product_type, media_type, media_url, permalink, username, text, timestamp, shortcode, thumbnail_url, children, is_quote_post, has_replies, root_post, replied_to, is_reply, is_reply_owned_by_me, reply_audience, quoted_post, reposted_post, gif_url, is_verified, profile_picture_url |
GET /{threads-user-id}/mentions
Retrieve a paginated list of all Threads posts where a user is mentioned. See Mentions for more information.
Parameters
This endpoint also uses these common parameters:
access_token, since, until, limit, before, and after.| Name | Description |
|---|---|
threads-user-id
numeric string
| Required. The path parameter of the Threads user identifier. |
fields
string
| Optional. A comma-separated list of the fields to be returned. If omitted, the default fields are returned. |
GET /{threads-user-id}/ghost_posts
Retrieve a paginated list of all Threads ghost posts created by a user. See Retrieve a list of an app-scoped user’s ghost posts for more information.
Parameters
This endpoint also uses these common parameters:
access_token, since, until, limit, before, and after.| Name | Description |
|---|---|
threads-user-id
numeric string
| Required. The path parameter of the Threads user identifier. |
fields
string
| Optional. A comma-separated list of the fields to be returned. If omitted, the default fields are returned. |